org.springframework.expression.spel.standard

## Class SpelExpressionParser

- java.lang.Object
- - org.springframework.expression.common.TemplateAwareExpressionParser
  - - org.springframework.expression.spel.standard.SpelExpressionParser

All Implemented Interfaces:
  ExpressionParser

    public class SpelExpressionParser
    extends TemplateAwareExpressionParser

SpEL parser. Instances are reusable and thread-safe.

Since:
  3.0
Author:
  Andy Clement, Juergen Hoeller

### Constructor Summary

Constructors
Constructor and Description
`SpelExpressionParser()` Create a parser with standard configuration.
`SpelExpressionParser(SpelParserConfiguration configuration)` Create a parser with some configured behavior.

### Method Summary

Methods
`protected SpelExpression` `doParseExpression(String expressionString, ParserContext context)` Actually parse the expression string and return an Expression object.
`SpelExpression` `parseRaw(String expressionString)`

### Methods inherited from class org.springframework.expression.common.TemplateAwareExpressionParser

`parseExpression, parseExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpelExpressionParser

    public SpelExpressionParser()

Create a parser with standard configuration.

#### SpelExpressionParser

    public SpelExpressionParser(SpelParserConfiguration configuration)

Create a parser with some configured behavior.

Parameters:
  `configuration` - custom configuration options

### Method Detail

#### doParseExpression

    protected SpelExpression doParseExpression(String expressionString,
                                   ParserContext context)
                                        throws ParseException

Description copied from class: `TemplateAwareExpressionParser`
Actually parse the expression string and return an Expression object.

Specified by:
  `doParseExpression` in class `TemplateAwareExpressionParser`
Parameters:
  `expressionString` - the raw expression string to parse
  `context` - a context for influencing this expression parsing routine (optional)
Returns:
  an evaluator for the parsed expression
Throws:
  `ParseException` - an exception occurred during parsing

#### parseRaw

    public SpelExpression parseRaw(String expressionString)
                            throws ParseException

Throws:
  `ParseException`